Bug 137784 - missing return expressions
missing return expressions
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nautilus-media (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-01 05:24 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-02 16:36:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-11-01 05:24:44 EST
Description of problem:

I just tried to compile package nautilus-media-0.8.1-1 from 
Redhat Fedora Core 3 Test 3.

The compiler said

1.

audio-play.c(302): warning #117: non-void function "tick_timeout"
should return a value

The source code is

        if (!q) return;

Suggest add expression to return statement. The function should return 
a gboolean.

2.

audio-play.c(731): warning #1011: missing return statement at end of
non-void function "audio_play_set_location"

The source code is

        audio_play_autoplug (play, error);
}

Suggest add missing return statement.

3.

audio-play.c(868): warning #1011: missing return statement at end of
non-void function "audio_play_set_state_playing"
audio-play.c(905): warning #1011: missing return statement at end of
non-void function "audio_play_set_state"
audio-view.c(278): warning #1011: missing return statement at end of
non-void function "audio_view_props_to_string"
audio-view.c(456): warning #1011: missing return statement at end of
non-void function "scan_timeout"

Duplicates.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Colin Walters 2004-11-02 16:36:22 EST
Fixed, thanks.

Note You need to log in before you can comment on or make changes to this bug.